/*
 * muse-client
 *
 * Copyright (c) 2017 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Contact: YoungHun Kim <yh8004.kim@samsung.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

#ifndef __MUSE_CLIENT_H__
#define __MUSE_CLIENT_H__

#ifdef __cplusplus
extern "C" {
#endif

#include "muse_core.h"

int muse_client_new(void);
int muse_client_new_data_ch(void);
int muse_client_close(int sock_fd);
int muse_client_ipc_push_data(int sock_fd, const char *data, int size, uint64_t data_id);
int muse_client_get_fd_id_value(int sock_fd);
bool muse_client_check_fd_id_value(int sock_fd, int sock_id);
int muse_client_get_module_index(const char *module_name, int *module_index);

#ifdef __cplusplus
}
#endif
#endif	/*__MUSE_CLIENT_H__*/
