Name:       mused
Summary:    A multimedia daemon
Version:    0.3.61
Release:    0
Group:      System/Libraries
License:    Apache-2.0 and BSD-3-Clause
Source0:    %{name}-%{version}.tar.gz
Source1:    muse-server.service
Source2:    gtest.input
Source3:    muse-server-vd_product_tv.path
Source4:    muse-server-vd_product_tv.service
Source5:    muse-server-vd_product_audio.service
Source6:    %{name}.notstrip
BuildRequires: cmake
BuildRequires: pkgconfig(libsystemd-daemon)
BuildRequires: pkgconfig(capi-system-info)
BuildRequires: pkgconfig(capi-system-runtime-info)
BuildRequires: pkgconfig(cynara-client)
BuildRequires: pkgconfig(cynara-creds-socket)
BuildRequires: pkgconfig(cynara-session)
BuildRequires: pkgconfig(dlog)
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gstreamer-1.0)
BuildRequires: pkgconfig(gstreamer-base-1.0)
BuildRequires: pkgconfig(iniparser)
BuildRequires: pkgconfig(json-c)
BuildRequires: pkgconfig(libtbm)
BuildRequires: pkgconfig(libtzplatform-config)
BuildRequires: pkgconfig(mm-common)
BuildRequires: pkgconfig(storage)
%if "%{tizen_profile_name}" == "tv"
BuildRequires: pkgconfig(libresourced)
BuildRequires: pkgconfig(lwipc)
BuildRequires: pkgconfig(ttrace)
%endif
%if 0%{?gtests:1}
BuildRequires: pkgconfig(gmock)
%endif

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Requires: security-config

%description


%package devel
Summary:  A Media Daemon library in Tizen (Development)
Group:    Multimedia/Service
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig(iniparser)
Requires: pkgconfig(libtbm)
Requires: pkgconfig(mm-common)
%description devel

%prep
%setup -q

%build
MAJORVER=`echo %{version} | awk 'BEGIN {FS="."}{print $1}'`
export CFLAGS="$CFLAGS -DSYSCONFDIR=\\\"%{_sysconfdir}\\\""
export CXXFLAGS="$CXXFLAGS -DSYSCONFDIR=\\\"%{_sysconfdir}\\\""

%if 0%{?sec_build_binary_debug_enable}
export CFLAGS="$CFLAGS -DTIZEN_DEBUG_ENABLE -D_GNU_SOURCE"
export CXXFLAGS="$CXXFLAGS -DTIZEN_DEBUG_ENABLE -D_GNU_SOURCE"
export FFLAGS="$FFLAGS -DTIZEN_DEBUG_ENABLE -D_GNU_SOURCE"
%endif

%if "%{tizen_profile_name}" != "tv"
export CFLAGS+=" -DMUSE_USE_CLIENT_SIGHANDLER"
%endif

%if ("%{_vd_cfg_product_type}" == "AUDIO") || ("%{_vd_cfg_product_type}" == "TV") || ("%{_vd_cfg_product_type}" == "LFD") || ("%{_vd_cfg_product_type}" == "HTV") || ("%{_vd_cfg_product_type}" == "AV") || ("%{_vd_cfg_product_type}" == "IWB") || ("%{_vd_cfg_product_type}" == "WALL")
export CFLAGS+=" -DMUSE_REGISTER_VIP -DMUSE_USE_LWIPC -DMUSE_TTRACE_LOG"
%cmake . -DCMAKE_INSTALL_PREFIX=/usr -DFULLVER=%{version} -DMAJORVER=${MAJORVER} -DLIBDIR=%{_libdir} -DTZ_SYS_DATA=%TZ_SYS_DATA -DMUSE_REGISTER_VIP=1 -DMUSE_TTRACE_LOG=1 -DMUSE_USE_LWIPC=1
%else
export CFLAGS+=" -DMUSE_USE_POWER_OFF_STATE_CHANGE -DMUSE_USE_EXTERNAL_STORAGE_STATE_CHANGE -DMUSE_USE_WATCHDOG"
%cmake . -DCMAKE_INSTALL_PREFIX=/usr -DFULLVER=%{version} -DMAJORVER=${MAJORVER} -DLIBDIR=%{_libdir} -DTZ_SYS_DATA=%TZ_SYS_DATA -DMUSE_GTESTS_BUILD=%{?gtests:1}%{!?gtests:0}
%endif

make %{?jobs:-j%jobs}

%install
rm -rf %{buildroot}

%make_install

%if ("%{_vd_cfg_product_type}" == "AUDIO")
mkdir -p %{buildroot}%{_unitdir}/stater.target.wants
install -m 0644 %SOURCE5 %{buildroot}%{_unitdir}/muse-server.service
%install_service starter.target.wants muse-server.service

mkdir -p %{buildroot}%{_sysconfdir}/notstrip
install -m 0644 %SOURCE6 %{buildroot}%{_sysconfdir}/notstrip/%{name}.notstrip
%else
%if ("%{_vd_cfg_product_type}" == "TV") || ("%{_vd_cfg_product_type}" == "LFD") || ("%{_vd_cfg_product_type}" == "HTV") || ("%{_vd_cfg_product_type}" == "AV") || ("%{_vd_cfg_product_type}" == "IWB") || ("%{_vd_cfg_product_type}" == "WALL")
mkdir -p %{buildroot}%{_unitdir}/basic.target.wants
install -m 0644 %SOURCE4 %{buildroot}%{_unitdir}/muse-server.service
%install_service basic.target.wants muse-server.service

mkdir -p %{buildroot}%{_sysconfdir}/notstrip
install -m 0644 %SOURCE6 %{buildroot}%{_sysconfdir}/notstrip/%{name}.notstrip
install -m 0644 %SOURCE3 %{buildroot}%{_unitdir}/muse-server.path
%else
mkdir -p %{buildroot}%{_unitdir}/multi-user.target.wants
install -m 0644 %SOURCE1 %{buildroot}%{_unitdir}/muse-server.service
%install_service multi-user.target.wants muse-server.service

%endif
%endif

mkdir -p %{buildroot}/var/log/%{name}
mkdir -p %{buildroot}%{TZ_SYS_DATA}/%{name}

%if 0%{?gtests:1}
install -m 0644 %SOURCE2 %{buildroot}%{TZ_SYS_DATA}/%{name}/gtest.input
%endif

%post
/sbin/ldconfig

chown multimedia_fw:multimedia_fw %{TZ_SYS_DATA}/%{name}
chown multimedia_fw:multimedia_fw /var/log/%{name}
chsmack -a "System::Shared" %{TZ_SYS_DATA}/%{name}
chsmack -a "System::Shared" /var/log/%{name}

%postun -p /sbin/ldconfig


%files
%manifest %{name}.manifest
%{_libdir}/libmuse-*.so.*
%license LICENSE.APLv2 LICENSE.BSD
%{_unitdir}/muse-server.service
%if ("%{_vd_cfg_product_type}" == "AUDIO")
%{_unitdir}/starter.target.wants/muse-server.service
%else
%if ("%{_vd_cfg_product_type}" == "TV") || ("%{_vd_cfg_product_type}" == "LFD") || ("%{_vd_cfg_product_type}" == "HTV") || ("%{_vd_cfg_product_type}" == "AV") || ("%{_vd_cfg_product_type}" == "IWB") || ("%{_vd_cfg_product_type}" == "WALL")
%{_unitdir}/basic.target.wants/muse-server.service
%else
%{_unitdir}/multi-user.target.wants/muse-server.service
%endif
%endif
%if ("%{_vd_cfg_product_type}" == "TV") || ("%{_vd_cfg_product_type}" == "LFD") || ("%{_vd_cfg_product_type}" == "HTV") || ("%{_vd_cfg_product_type}" == "AV") || ("%{_vd_cfg_product_type}" == "IWB") || ("%{_vd_cfg_product_type}" == "WALL")
%{_unitdir}/muse-server.path
%endif
%if ("%{_vd_cfg_product_type}" == "AUDIO") || ("%{_vd_cfg_product_type}" == "TV") || ("%{_vd_cfg_product_type}" == "LFD") || ("%{_vd_cfg_product_type}" == "HTV") || ("%{_vd_cfg_product_type}" == "AV") || ("%{_vd_cfg_product_type}" == "IWB") || ("%{_vd_cfg_product_type}" == "WALL")
%{_sysconfdir}/notstrip/%{name}.notstrip
%endif
%{TZ_SYS_DATA}/%{name}
/var/log/%{name}
%{_bindir}/*

%if 0%{?gtests:1}
%{TZ_SYS_DATA}/%{name}/gtest.input
%{_bindir}/gtest-muse-server
%endif

%files devel
%{_includedir}/media/*.h
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
