/*
 * muse-server
 *
 * Copyright (c) 2017 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Contact: YoungHun Kim <yh8004.kim@samsung.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

#ifndef __MUSE_SERVER_LOG_H__
#define __MUSE_SERVER_LOG_H__

#ifdef __cplusplus
extern "C" {
#endif

#include "muse_core_internal.h"

#define MUSE_LOG_LEN			32
#define MUSE_LOG_MSG_LEN		128
#define MUSE_LOG_MSG_NUM		10

typedef struct ms_log {
	size_t size;
	int fd;
	GMutex lock;
	char latest_msgs[MUSE_LOG_MSG_NUM][MUSE_LOG_MSG_LEN];
	int cur_idx;
} ms_log_t;

void ms_log_init(ms_log_t *log);
void ms_log_deinit(ms_log_t *log);
void ms_log_save_addr_name(int pid, gpointer addr);
void ms_log_debug_pid_info(int pid);
void ms_log_write(char *buf);

#ifdef __cplusplus
}
#endif

#endif	/*__MUSE_SERVER_LOG_H__*/
