/*
 * muse-server
 *
 * Copyright (c) 2017 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Contact: YoungHun Kim <yh8004.kim@samsung.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

#ifndef __MUSE_SERVER_SECURITY_H__
#define __MUSE_SERVER_SECURITY_H__

#ifdef __cplusplus
extern "C" {
#endif

#include "muse_core_internal.h"

#define CYNARA_CACHE_SIZE			100U

typedef struct ms_security {
	void *p_cynara;
} ms_security_t;

void ms_security_init(ms_security_t *security);
void ms_security_deinit(ms_security_t *security);
bool ms_security_is_privilege_granted(ms_security_t *security, int fd, const char *privilege);

#ifdef __cplusplus
}
#endif
#endif	/*__MUSE_SERVER_SECURITY_H__*/
