/*
 * Copyright (c) 2018 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __GTEST_MUSE_SERVER_UNITTEST_H__
#define __GTEST_MUSE_SERVER_UNITTEST_H__

#include <glib.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <iostream>
#include <dlog.h>
#include <mm_error.h>

#include <gmock/gmock.h>
#include <gtest/gtest.h>

#include <sys/types.h>
#include <sys/un.h>
#include <sys/socket.h>

#include "muse_server.h"
#include "muse_client.h"

#undef LOG_TAG
#define LOG_TAG		"GTEST_MUSED"

#define NTHREADS		2
#define SAMPLE_JSON_FILE_NAME		"gtest.input"
#define FILE_PATH_LEN		128
#define MUSE_MSG_LEN_MAX	128

#define GTEST_MUSE_SOCK_FILE0	"/tmp/.gtest_muse_server_socket"
#define GTEST_MUSE_SOCK_FILE1	"/tmp/.gtest_muse_server_data_socket"

#endif	/*__GTEST_MUSE_SERVER_UNITTEST_H__*/
